Index: trunk/admin/modules/Elezioni/ele_colora_sez.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 261)
+++ trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 262)
@@ -23,5 +23,6 @@
 	$res = $dbi->prepare("$sql");
 	$res->execute();
-	if($liste && $liste==$res->rowCount()){
+	list($ltot)=$res->fetch(PDO::FETCH_NUM);
+	if($liste && $liste==$ltot){
 		$sezstat=2;
 		$sql="UPDATE ".$prefix."_ele_sezioni set colore='#99CC33' where id_cons='$id_cons' and id_sez='$id_sez'"; #VERDE
@@ -39,11 +40,14 @@
 			$res->execute();
 		}elseif(!$sezstat){ #gruppi
-			if($genere)
-				$sql="SELECT id_gruppo FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
-			else
-				$sql="SELECT id_gruppo FROM ".$prefix."_ele_voti_ref where id_sez='$id_sez'";
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-			$righe=$res->rowCount();
+			if($genere!=4){
+				if($genere)
+					$sql="SELECT id_gruppo FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
+				else
+					$sql="SELECT id_gruppo FROM ".$prefix."_ele_voti_ref where id_sez='$id_sez'";
+
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				$righe=$res->rowCount();
+			}else $righe=0;
 			if($righe){ 
 				$sezstat=4;
@@ -58,5 +62,5 @@
 				if($voti) {
 					$sezstat=5;
-					$sql="UPDATE ".$prefix."_ele_sezioni set colore='#F5F5F5' where id_cons='$id_cons' and id_sez='$id_sez'"; #whitesmoke
+					$sql="UPDATE ".$prefix."_ele_sezioni set colore='#F5DEB3' where id_cons='$id_cons' and id_sez='$id_sez'"; #"WHEAT"
 					$res = $dbi->prepare("$sql");
 					$res->execute(); 
Index: trunk/admin/modules/Elezioni/ele_controlli.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_controlli.php	(revision 262)
+++ trunk/admin/modules/Elezioni/ele_controlli.php	(revision 262)
@@ -0,0 +1,313 @@
+<?php
+/************************************************************************/
+/* Eleonline - Raccolta e diffusione dei dati elettorali                */
+/************************************************************************/
+/* Modulo controlla affluenze                                               */
+/* Amministrazione                                                      */
+/************************************************************************/
+
+function controllo_aff($id_cons,$id_sez,$id_parz){
+	global $prefix,$dbi,$id_sede,$id_con_gen,$genere;
+
+	$err=0; 
+	$sql="select maschi,femmine from ".$prefix."_ele_sezioni where id_sez='$id_sez'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($maschi,$femmine)=$res->fetch(PDO::FETCH_NUM);
+
+	$sql="select voti_uomini,voti_donne,voti_complessivi from ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_parz='$id_parz'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	while(list($voti_u,$voti_d,$voti_t)=$res->fetch(PDO::FETCH_NUM))
+		if((($voti_u+$voti_d!=$voti_t && $voti_u+$voti_d>0) || $voti_u>$maschi || $voti_d>$femmine || $voti_t>$maschi+$femmine) ) {$err=1; break;}
+
+	$tipo='affluenze';
+	$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	$righe=$res->rowCount();
+	if($righe){
+		while(list($id)=$res->fetch(PDO::FETCH_NUM)){
+			if($id==$id_parz){
+				if(!$err){ 
+					$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id='$id_parz' ";
+					$res = $dbi->prepare("$sql");
+					$res->execute();
+					
+				}
+				$err=0;
+				break;
+			}					
+		}
+	}
+	if($err){
+		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_parz')";
+		$res = $dbi->prepare("$sql");
+		$res->execute();		
+	}
+
+	$sql="SELECT validi,nulli,bianchi,contestati,voti_nulli FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($validi, $nulli, $bianchi,$contestati,$votinulli)=$res->fetch(PDO::FETCH_NUM);
+	if (($validi+$nulli+$bianchi+$contestati+$votinulli)>0)
+		if($genere==0) controllo_votir($id_cons,$id_sez,'aff');
+		else controllo_voti($id_cons,$id_sez);
+
+}
+
+
+	
+function controllo_voti($id_cons,$id_sez){
+	global $prefix,$dbi,$id_sede,$id_con_gen,$genere;
+		##############################
+	$err=0;
+	$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'";
+	$resref = $dbi->prepare("$sql");
+	$resref->execute();	
+	if($genere==0){ 
+		$numscru=$resref->rowCount(); $rifscru=0;
+		while(list($idrefgruppo)=$resref->fetch(PDO::FETCH_NUM)) {
+			$sql="SELECT si,no,validi,nulli,bianchi,contestati FROM ".$prefix."_ele_voti_ref where id_sez='$id_sez' and id_gruppo='$idrefgruppo'";
+			$res2 = $dbi->prepare("$sql");
+			$res2->execute();
+			$refscru=$res2->rowCount(); 
+			$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_gruppo='$idrefgruppo'";
+			$res3 = $dbi->prepare("$sql");
+			$res3->execute();
+			list($voti)=$res3->fetch(PDO::FETCH_NUM);
+			$rifscru++;
+			list($si,$no,$validi,$nulli,$bianchi,$contestati)=$res2->fetch(PDO::FETCH_NUM);
+			if(($si+$no==$validi) and ($validi+$nulli+$bianchi+$contestati==$voti)) 
+				continue;
+			else {$err=1; break;}	
+		}
+	}else{
+		#per le altre consultazione
+		$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez'";
+		$res3 = $dbi->prepare("$sql");
+		$res3->execute();
+		list($voti)=$res3->fetch(PDO::FETCH_NUM);
+		$sql="SELECT validi FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' and id_cons='$id_cons' ";
+		$res2 = $dbi->prepare("$sql");
+		$res2->execute();
+		list($validi) = $res2->fetch(PDO::FETCH_NUM);
+		if($validi) {
+			$status=0;
+			$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
+			$sql="$query";
+			$res4 = $dbi->prepare("$sql");
+			$res4->execute();
+			list($validi, $nulli, $bianchi,$contestati,$votinulli)=$res4->fetch(PDO::FETCH_NUM);
+			if (($validi+$nulli+$bianchi+$contestati+$votinulli)!=$voti)
+				{$err=1;}
+		} 
+	}
+	$tipo='votanti';
+	$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	$righe=$res->rowCount();
+	if($righe){
+		if(!$err){ 
+			$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id='$id_sez' ";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+		}
+		$err=0;
+	}
+	if($err){
+		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_sez')";
+		$res = $dbi->prepare("$sql");
+		$res->execute();		
+	}
+	if ($genere==4){
+		$sql="select id_lista from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		if($res->rowCount()) controllo_votil($id_cons,$id_sez,'0');
+	}else{
+		$sql="select id_gruppo from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		if($res->rowCount()) controllo_votig($id_cons,$id_sez,$genere);
+	}
+ 
+}
+
+
+function controllo_votig($id_cons,$id_sez){
+	global $prefix,$dbi,$id_sede,$id_cons_gen,$genere;
+		##############################
+	$err=0; $err2=0;
+	$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'";
+	$resref = $dbi->prepare("$sql");
+	$resref->execute();	
+	$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez'";
+	$res3 = $dbi->prepare("$sql");
+	$res3->execute();
+	list($voti)=$res3->fetch(PDO::FETCH_NUM);
+	$sql="SELECT validi FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' and id_cons='$id_cons' ";
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
+	list($validi) = $res2->fetch(PDO::FETCH_NUM);
+	if($validi) {
+		$status=0;
+		$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
+		$sql="$query";
+		$res4 = $dbi->prepare("$sql");
+		$res4->execute();
+		list($validi, $nulli, $bianchi,$contestati,$votinulli)=$res4->fetch(PDO::FETCH_NUM);
+		if (($validi+$nulli+$bianchi+$contestati+$votinulli)!=$voti)
+			{$err=1;}
+	} 
+	$tipo='gruppo';
+	$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	$righe=$res->rowCount();
+	if($righe){
+		if(!$err){ 
+			$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id='$id_sez' ";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+		}
+		$err=0;
+	}
+	if($err){
+		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_sez')";
+		$res = $dbi->prepare("$sql");
+		$res->execute();		
+	}
+	$sql="select id_lista from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	if($res->rowCount()) controllo_votil($id_cons,$id_sez,'0');
+
+}
+
+
+function controllo_votir($id_cons,$id_sez){
+	global $prefix,$dbi,$id_sede,$id_cons_gen,$genere;
+		##############################
+	$err=0; $err2=0;
+	$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'";
+	$resref = $dbi->prepare("$sql");
+	$resref->execute();	
+	$numscru=$resref->rowCount(); $rifscru=0;
+	while(list($idrefgruppo)=$resref->fetch(PDO::FETCH_NUM)) {
+		$sql="SELECT si,no,validi,nulli,bianchi,contestati FROM ".$prefix."_ele_voti_ref where id_sez='$id_sez' and id_gruppo='$idrefgruppo'";
+		$res2 = $dbi->prepare("$sql");
+		$res2->execute();
+		$refscru=$res2->rowCount(); 
+		$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_gruppo='$idrefgruppo'";
+		$res3 = $dbi->prepare("$sql");
+		$res3->execute();
+		list($voti)=$res3->fetch(PDO::FETCH_NUM);
+		$rifscru++;
+		list($si,$no,$validi,$nulli,$bianchi,$contestati)=$res2->fetch(PDO::FETCH_NUM);
+		if(($si+$no==$validi) and ($validi+$nulli+$bianchi+$contestati==$voti)) 
+			continue;
+		else {$err=1; break;}	
+
+	
+
+#############
+		$tipo='referendum';
+		$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez' and id='$idrefgruppo' ";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		$righe=$res->rowCount();
+		if($righe){
+			if(!$err){ 
+				$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id='$id_sez' ";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+			}
+			$err=0;
+		}
+		if($err){
+			$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_sez')";
+			$res = $dbi->prepare("$sql");
+			$res->execute();		
+		}
+#############
+	}
+
+}
+
+
+function controllo_votil($id_cons,$id_sez,$id_lista){
+	global $prefix,$dbi,$id_sede,$id_cons_gen,$validi;
+		##############################
+	$err=0; $err2=0;
+	if($id_lista){
+		$sql="SELECT preferenze FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		list($prefs)=$res->fetch(PDO::FETCH_NUM);
+		$sql="select voti from ".$prefix."_ele_voti_lista where id_lista='$id_lista' and id_sez='$id_sez'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		list($votil)=$res->fetch(PDO::FETCH_NUM);
+		$sql="SELECT sum(voti),max(voti) FROM ".$prefix."_ele_voti_candidati where id_sez='$id_sez' and id_cand in (select id_cand from ".$prefix."_ele_candidati where id_lista='$id_lista')";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		list($votic,$mvc)=$res->fetch(PDO::FETCH_NUM);
+		if(($votic*$prefs)>$votil || $mvc>$votil) 
+			$err=1;
+	}else{
+		$sql="select id_gruppo from ".$prefix."_ele_lista where id_lista='$id_lista'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		list($idg)=$res->fetch(PDO::FETCH_NUM);
+		$sql="SELECT id_gruppo, voti, solo_gruppo FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
+		$resref = $dbi->prepare("$sql");
+		$resref->execute();
+		$totlis=0;
+		$totgru=0;
+		$totsg=0;
+		$totsl=0;
+        $sql="SELECT validi,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+    	list($votiv,$validil,$contestatil,$nullil,$solol) = $res->fetch(PDO::FETCH_NUM);
+		while (list($idg,$votig,$svg)=$resref->fetch(PDO::FETCH_NUM)) {
+			$sql="SELECT sum(voti), sum(solo_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$idg')";
+			$res2 = $dbi->prepare("$sql");
+			$res2->execute();
+			$totgru+=$votig;
+			$totsg+=$svg;
+			if($res2->rowCount()){
+				list($votil,$svl)=$res2->fetch(PDO::FETCH_NUM);
+				$totlis+=$votil;
+				$totsl+=$svl;
+				if(($votig+$svl)<($votil+$svg))
+					$err=1; 
+			}
+			
+		}
+		if ($validil+$contestatil+$nullil+$solol+$totsg!=$votiv and $validil+$contestatil+$nullil+$solol>0) $err=1;
+	}
+
+	$tipo='lista';
+	$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	$righe=$res->rowCount();
+	if($righe){
+		if(!$err){ 
+			$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id='$id_sez' ";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+		}
+		$err=0;
+	}
+	if($err){
+		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_sez')";
+		$res = $dbi->prepare("$sql");
+		$res->execute();		
+	}
+
+}
+?>
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 261)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 262)
@@ -514,5 +514,5 @@
 		if ((!$id_lista)){$tab="_ele_voti_lista";} else {$tab="_ele_voti_candidati";}
 if(($genere==4 or ($genere==5 and $votog)) and !$id_lista)	{
-		$sql="SELECT sum(t1.voti),t2.validi, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli,t2.bianchi,t2.nulli,0,0,0 from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez";
+		$sql="SELECT sum(t1.voti),t2.validi, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli,t2.bianchi,t2.nulli,t2.contestati,0,0 from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez";
 $result = $dbi->prepare("$sql");
 $result->execute();
@@ -1132,4 +1132,5 @@
 	$riga[$y].= "<span class=\"td\"><input type=\"hidden\" name=\"op\" value=\"rec_add_votanti\"/>";
 	$riga[$y].= "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"/>"
+	."<input type=\"hidden\" name=\"genere\" value=\"$genere\"/>"
 	."<input type=\"hidden\" name=\"id_sez\" value=\"$id_sez\"/>"
 	."<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\"/>"
Index: trunk/admin/modules/Elezioni/salva_aff.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_aff.php	(revision 261)
+++ trunk/admin/modules/Elezioni/salva_aff.php	(revision 262)
@@ -37,28 +37,7 @@
 if (isset($_GET['id_comune'])) $id_comune=intval($_GET['id_comune']); else $id_comune='0';
 if (isset($_GET['id_gruppo'])) $id_gruppo=intval($_GET['id_gruppo']); else $id_gruppo='0';
+if (isset($_GET['genere'])) $genere=intval($_GET['genere']); else $genere='0';
 if (isset($_GET['delete'])) get_magic_quotes_gpc() ? $delete=$_GET['delete']:$delete=addslashes($_GET['delete']); else $delete='';
 global $prefix,$id_parz,$tempo,$username,$aid,$dbi,$genere;
-/* ############
-$sql="SELECT orario,data FROM ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data,orario ";
-$res = $dbi->prepare("$sql");
-$res->execute();
-$num = $res->rowCount();
-$y=0;
-	while(list($i,$a)=$result->fetch(PDO::FETCH_BOTH)) {
-		$y++;
-		$sql="SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'  ";
-		$res2 = $dbi->prepare("$sql");
-		$res2->execute();
-		for($i=1;$i<=$max;$i++){
-			$idg="id_gruppo$i";$vnp="vnpl$i";$slp="slpl$i";$idlist="id_lista$i";
-			if (isset($_GET[$vnp])) $vnpl[$i]=intval($_GET[$vnp]); else $vnpl[$i]='0';
-			if (isset($_GET[$vot])) $voti[$i]=intval($_GET[$vot]); else $voti[$i]='0';
-			if (isset($_GET[$slp])) $slpl[$i]=intval($_GET[$slp]); else $slpl[$i]='0';
-			if (isset($_GET[$idlist])) $idlista[$i]=intval($_GET[$idlist]); else $idlista[$i]='0';
-			$sololiste+=$slpl[$i];
-		}
-	}
-#############
-*/
 
 if (!isset($fileout)) $fileout='';
@@ -105,77 +84,11 @@
 	$res->execute();
 }
-controllo_aff($id_cons,$id_sez,$id_parz);  
+#controllo_aff($id_cons,$id_sez,$id_parz);  
+include("ele_controlli.php");
+controllo_aff($id_cons,$id_sez,$id_parz);
+include("ele_colora_sez.php");
 
 Header("Location: ".$BASE."admin.php?op=voti&id_cons_gen=$id_cons_gen&id_circ=$id_circ&id_sede=$id_sede&id_sez=$id_sez&ops=1&do=spoglio");
 
 
-function controllo_aff($id_cons,$id_sez,$id_parz){
-	global $prefix,$dbi,$id_sede,$id_con_gen;
-		##############################
-#	$sql="select * from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'";
-#	$resc = $dbi->prepare("$sql");
-#	$resc->execute();
-#	$conta=$resc->rowCount();
-	$err=0;
-#	$err2=0;
-	$sql="select maschi,femmine from ".$prefix."_ele_sezioni where id_sez='$id_sez'";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	list($maschi,$femmine)=$res->fetch(PDO::FETCH_NUM);
-
-	$sql="select voti_uomini,voti_donne,voti_complessivi from ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_parz='$id_parz'";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	while(list($voti_u,$voti_d,$voti_t)=$res->fetch(PDO::FETCH_NUM))
-		if(($voti_u+$voti_d!=$voti_t || $voti_u>$maschi || $voti_d>$femmine) and ($voti_u+$voti_d>0)) {$err=1; break;}
-/*	if($conta){
-		$aff=$resc->fetch(PDO::FETCH_BOTH);
-		if($aff['status']) 
-			if ($aff['stato_val'] || $aff['stato_lis'] || $aff['stato_gru'] || $aff['stato_can']) $err2=1;
-	}
-	if($conta && !$err2) {
-		$sql="update ".$prefix."_ele_controllosez set stato_aff='$err',status='$err' where id_cons='$id_cons' and id_sez='$id_sez'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-	} elseif($conta && !$err){ 
-		$sql="update ".$prefix."_ele_controllosez set stato_aff='$err' where id_cons='$id_cons' and id_sez='$id_sez'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		return;
-	} else {
-			$sql="insert into ".$prefix."_ele_controllosez values ('$id_sez','$id_cons','$err','0','0','0','0','$err')";
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-	}*/
-#######################
-	$tipo='affluenze';
-	$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez' ";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	$righe=$res->rowCount();
-	if($righe){
-		while(list($id)=$res->fetch(PDO::FETCH_NUM)){
-			if($id==$id_parz){
-				if(!$err){ 
-					$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id='$id_parz' ";
-					$res = $dbi->prepare("$sql");
-					$res->execute();
-					
-				}
-				$err=0;
-				break;
-			}					
-		}
-	}
-	if($err){
-		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_parz')";
-		$res = $dbi->prepare("$sql");
-		$res->execute();		
-	}
-	
-	
-#######################
-	include("ele_colora_sez.php");
-}
-
 ?>
Index: trunk/admin/modules/Elezioni/salva_gruppi.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 261)
+++ trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 262)
@@ -102,6 +102,7 @@
 
 
-
+include("ele_controlli.php");
 controllo_votig($id_cons,$id_sez,$genere);
+include("ele_colora_sez.php");
 
 if ($fileout) fclose($fp);
@@ -114,50 +115,4 @@
 
 	
-function controllo_votig($id_cons,$id_sez,$genere){
-	global $prefix,$dbi,$id_sede,$id_cons_gen;
-		##############################
-	$err=0; $err2=0;
-	$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'";
-	$resref = $dbi->prepare("$sql");
-	$resref->execute();	
-	$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez'";
-	$res3 = $dbi->prepare("$sql");
-	$res3->execute();
-	list($voti)=$res3->fetch(PDO::FETCH_NUM);
-	$sql="SELECT validi FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' and id_cons='$id_cons' ";
-	$res2 = $dbi->prepare("$sql");
-	$res2->execute();
-	list($validi) = $res2->fetch(PDO::FETCH_NUM);
-	if($validi) {
-		$status=0;
-		$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
-		$sql="$query";
-		$res4 = $dbi->prepare("$sql");
-		$res4->execute();
-		list($validi, $nulli, $bianchi,$contestati,$votinulli)=$res4->fetch(PDO::FETCH_NUM);
-		if (($validi+$nulli+$bianchi+$contestati+$votinulli)!=$voti)
-			{$err=1;}
-	} 
-	$tipo='gruppo';
-	$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez'";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	$righe=$res->rowCount();
-	if($righe){
-		if(!$err){ 
-			$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id='$id_sez' ";
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-		}
-		$err=0;
-	}
-	if($err){
-		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_sez')";
-		$res = $dbi->prepare("$sql");
-		$res->execute();		
-	}
-	include("ele_colora_sez.php");
-	
-}
 
 ?>
Index: trunk/admin/modules/Elezioni/salva_liste.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_liste.php	(revision 261)
+++ trunk/admin/modules/Elezioni/salva_liste.php	(revision 262)
@@ -88,13 +88,15 @@
 		$res = $dbi->prepare("$sql");
 		$res->execute();
-		$sql="delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		$sql="delete from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' ";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		$sql="update  ".$prefix."_ele_sezioni set validi_lista='',contestati_lista='',voti_nulli_lista='',solo_gruppo='',solo_lista='' where id_cons='$id_cons' and id_sez='$id_sez'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
+		if(!$id_lista){
+			$sql="delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+			$sql="delete from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' ";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+			$sql="update  ".$prefix."_ele_sezioni set validi_lista='',contestati_lista='',voti_nulli_lista='',solo_gruppo='',solo_lista='' where id_cons='$id_cons' and id_sez='$id_sez'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+		}
 		
 	}elseif($id_lista){
@@ -149,7 +151,8 @@
 
 
-
+include("ele_controlli.php");
 controllo_votil($id_cons,$id_sez,$id_lista);
-
+include("ele_colora_sez.php");
+	
 if ($fileout) fclose($fp);
 $BASE=substr($_SERVER['PHP_SELF'], 0, strrpos($_SERVER['REQUEST_URI'], "/")-16);
@@ -161,82 +164,5 @@
 
 	
-function controllo_votil($id_cons,$id_sez,$id_lista){
-	global $prefix,$dbi,$id_sede,$id_cons_gen,$validi;
-		##############################
-	$err=0; $err2=0;
-	if($id_lista){
-		$sql="SELECT preferenze FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		list($prefs)=$res->fetch(PDO::FETCH_NUM);
-		$sql="select voti from ".$prefix."_ele_voti_lista where id_lista='$id_lista' and id_sez='$id_sez'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		list($votil)=$res->fetch(PDO::FETCH_NUM);
-		$sql="SELECT sum(voti),max(voti) FROM ".$prefix."_ele_voti_candidati where id_sez='$id_sez' and id_cand in (select id_cand from ".$prefix."_ele_candidati where id_lista='$id_lista')";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		list($votic,$mvc)=$res->fetch(PDO::FETCH_NUM);
-		if(($votic*$prefs)>$votil || $mvc>$votil) 
-			$err=1;
-	}else{
-		$sql="select id_gruppo from ".$prefix."_ele_lista where id_lista='$id_lista'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		list($idg)=$res->fetch(PDO::FETCH_NUM);
-		$sql="SELECT id_gruppo, voti, solo_gruppo FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
-		$resref = $dbi->prepare("$sql");
-		$resref->execute();
-		$totlis=0;
-		$totgru=0;
-		$totsg=0;
-		$totsl=0;
-        $sql="SELECT validi,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-    	list($votiv,$validil,$contestatil,$nullil,$solol) = $res->fetch(PDO::FETCH_NUM);
-		while (list($idg,$votig,$svg)=$resref->fetch(PDO::FETCH_NUM)) {
-			$sql="SELECT sum(voti), sum(solo_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$idg')";
-			$res2 = $dbi->prepare("$sql");
-			$res2->execute();
-			$totgru+=$votig;
-			$totsg+=$svg;
-			if($res2->rowCount()){
-				list($votil,$svl)=$res2->fetch(PDO::FETCH_NUM);
-				$totlis+=$votil;
-				$totsl+=$svl;
-				if(($votig+$svl)<($votil+$svg))
-					$err=1; 
-			}
-			
-		}
-		if ($validil+$contestatil+$nullil+$solol+$totsg!=$votiv and $validil+$contestatil+$nullil+$solol>0) $err=1;
-	}
-
-	$tipo='lista';
-	$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez'";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	$righe=$res->rowCount();
-	if($righe){
-		if(!$err){ 
-			$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id='$id_sez' ";
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-		}
-		$err=0;
-	}
-	if($err){
-		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_sez')";
-		$res = $dbi->prepare("$sql");
-		$res->execute();		
-	}
-	include("ele_colora_sez.php");
-	
 
 
-
-	
-}
-
 ?>
Index: trunk/admin/modules/Elezioni/salva_ref.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_ref.php	(revision 261)
+++ trunk/admin/modules/Elezioni/salva_ref.php	(revision 262)
@@ -92,7 +92,7 @@
 
 
-
-controllo_votir($id_cons,$id_sez,$genere,$id_gruppo);
-
+include("ele_controlli.php");
+controllo_votir($id_cons,$id_sez);
+include("ele_colora_sez.php");
 if ($fileout) fclose($fp);
 $BASE=substr($_SERVER['PHP_SELF'], 0, strrpos($_SERVER['REQUEST_URI'], "/")-16);
@@ -104,52 +104,5 @@
 
 	
-function controllo_votir($id_cons,$id_sez,$genere){
-	global $prefix,$dbi,$id_sede,$id_cons_gen;
-		##############################
-	$err=0; $err2=0;
-	$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'";
-	$resref = $dbi->prepare("$sql");
-	$resref->execute();	
-	$numscru=$resref->rowCount(); $rifscru=0;
-	while(list($idrefgruppo)=$resref->fetch(PDO::FETCH_NUM)) {
-		$sql="SELECT si,no,validi,nulli,bianchi,contestati FROM ".$prefix."_ele_voti_ref where id_sez='$id_sez' and id_gruppo='$idrefgruppo'";
-		$res2 = $dbi->prepare("$sql");
-		$res2->execute();
-		$refscru=$res2->rowCount(); 
-		$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_gruppo='$idrefgruppo'";
-		$res3 = $dbi->prepare("$sql");
-		$res3->execute();
-		list($voti)=$res3->fetch(PDO::FETCH_NUM);
-		$rifscru++;
-		list($si,$no,$validi,$nulli,$bianchi,$contestati)=$res2->fetch(PDO::FETCH_NUM);
-		if(($si+$no==$validi) and ($validi+$nulli+$bianchi+$contestati==$voti)) 
-			continue;
-		else {$err=1; break;}	
 
-	
-
-#############
-		$tipo='referendum';
-		$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez' and id='$idrefgruppo' ";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		$righe=$res->rowCount();
-		if($righe){
-			if(!$err){ 
-				$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id='$id_sez' ";
-				$res = $dbi->prepare("$sql");
-				$res->execute();
-			}
-			$err=0;
-		}
-		if($err){
-			$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_sez')";
-			$res = $dbi->prepare("$sql");
-			$res->execute();		
-		}
-#############
-	}
-	include("ele_colora_sez.php");
-}
 
 ?>
Index: trunk/admin/modules/Elezioni/salva_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_voti.php	(revision 261)
+++ trunk/admin/modules/Elezioni/salva_voti.php	(revision 262)
@@ -78,5 +78,7 @@
 	if ($fileout) fwrite($fp,"$sql;\n"); */
 #}
+include("ele_controlli.php");
 controllo_voti($id_cons,$id_sez);
+include("ele_colora_sez.php");
 
 if ($fileout) fclose($fp);
@@ -88,74 +90,5 @@
 
 
-	
-function controllo_voti($id_cons,$id_sez){
-	global $prefix,$dbi,$id_sede,$id_con_gen,$genere;
-		##############################
-	$sql="select * from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'";
-	$resc = $dbi->prepare("$sql");
-	$resc->execute();
-	$conta=$resc->rowCount();
-	$err=0; $err2=0;
-	$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'";
-	$resref = $dbi->prepare("$sql");
-	$resref->execute();	
-	if($genere==0){ 
-		$numscru=$resref->rowCount(); $rifscru=0;
-		while(list($idrefgruppo)=$resref->fetch(PDO::FETCH_NUM)) {
-			$sql="SELECT si,no,validi,nulli,bianchi,contestati FROM ".$prefix."_ele_voti_ref where id_sez='$id_sez' and id_gruppo='$idrefgruppo'";
-			$res2 = $dbi->prepare("$sql");
-			$res2->execute();
-			$refscru=$res2->rowCount(); 
-			$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_gruppo='$idrefgruppo'";
-			$res3 = $dbi->prepare("$sql");
-			$res3->execute();
-			list($voti)=$res3->fetch(PDO::FETCH_NUM);
-			$rifscru++;
-			list($si,$no,$validi,$nulli,$bianchi,$contestati)=$res2->fetch(PDO::FETCH_NUM);
-			if(($si+$no==$validi) and ($validi+$nulli+$bianchi+$contestati==$voti)) 
-				continue;
-			else {$err=1; break;}	
-		}
-	}else{
-		#per le altre consultazione
-		$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez'";
-		$res3 = $dbi->prepare("$sql");
-		$res3->execute();
-		list($voti)=$res3->fetch(PDO::FETCH_NUM);
-		$sql="SELECT validi FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' and id_cons='$id_cons' ";
-		$res2 = $dbi->prepare("$sql");
-		$res2->execute();
-		list($validi) = $res2->fetch(PDO::FETCH_NUM);
-		if($validi) {
-			$status=0;
-			$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
-			$sql="$query";
-			$res4 = $dbi->prepare("$sql");
-			$res4->execute();
-			list($validi, $nulli, $bianchi,$contestati,$votinulli)=$res4->fetch(PDO::FETCH_NUM);
-			if (($validi+$nulli+$bianchi+$contestati+$votinulli)!=$voti)
-				{$err=1;}
-		} 
-	}
-	$tipo='votanti';
-	$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez' ";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	$righe=$res->rowCount();
-	if($righe){
-		if(!$err){ 
-			$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id='$id_sez' ";
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-		}
-		$err=0;
-	}
-	if($err){
-		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_sez')";
-		$res = $dbi->prepare("$sql");
-		$res->execute();		
-	}
-	include("ele_colora_sez.php");
-}
+
 
 ?>
